#pragma once
#include <map>
struct Fish_BuffCFGData
{
	//key
	int mID;
	//效果名字
	std::string mBuffName;
	//效果ICON
	std::string mBuffIcon;
	//效果类型1普通，2大招
	int mBuffType;
	//限时(秒)
	int mDuration;
	//vip限制
	int mNeedVIP;
	//对应子弹类型
	int mBulletType;
	//最大子弹数
	int mBulletCount;
	//参数
	std::vector<int> mParam;
	//提示图片
	std::string mGuideImage;
	//提示信息
	std::string mGuideInfo;
};

class Fish_BuffCFG
{
public:
private:
	static std::auto_ptr<Fish_BuffCFG> msSingleton;
public:
	int GetCount();
	const Fish_BuffCFGData* GetData(int ID);
	const std::map<int, Fish_BuffCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_BuffCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_BuffCFGData> mMapData;
};
